## API Report File for "@fluentui/react-overflow"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ContextSelector } from '@fluentui/react-context-selector';
import type { ObserveOptions } from '@fluentui/priority-overflow';
import type { OnUpdateOverflow } from '@fluentui/priority-overflow';
import { OverflowGroupState } from '@fluentui/priority-overflow';
import type { OverflowItemEntry } from '@fluentui/priority-overflow';
import * as React_2 from 'react';

// @public (undocumented)
export const DATA_OVERFLOW_ITEM = "data-overflow-item";

// @public (undocumented)
export const DATA_OVERFLOW_MENU = "data-overflow-menu";

// @public (undocumented)
export const DATA_OVERFLOWING = "data-overflowing";

// @public
export const Overflow: React_2.ForwardRefExoticComponent<Partial<Pick<ObserveOptions, "padding" | "overflowDirection" | "overflowAxis" | "minimumVisible">> & {
    children: React_2.ReactElement;
} & React_2.RefAttributes<unknown>>;

// @public
export const OverflowItem: React_2.ForwardRefExoticComponent<OverflowItemProps & React_2.RefAttributes<unknown>>;

// @public
export type OverflowItemProps = {
    id: string;
    groupId?: string;
    priority?: number;
    children: React_2.ReactElement;
};

// @public
export type OverflowProps = Partial<Pick<ObserveOptions, 'overflowAxis' | 'overflowDirection' | 'padding' | 'minimumVisible'>> & {
    children: React_2.ReactElement;
};

// @public (undocumented)
export function useIsOverflowGroupVisible(id: string): OverflowGroupState;

// @public (undocumented)
export function useIsOverflowItemVisible(id: string): boolean;

// @internal (undocumented)
export const useOverflowContainer: <TElement extends HTMLElement>(update: OnUpdateOverflow, options: Omit<ObserveOptions, 'onUpdateOverflow'>) => UseOverflowContainerReturn<TElement>;

// @internal (undocumented)
export interface UseOverflowContainerReturn<TElement extends HTMLElement> extends Pick<OverflowContextValue, 'registerItem' | 'updateOverflow' | 'registerOverflowMenu'> {
    containerRef: React_2.RefObject<TElement>;
}

// @internal (undocumented)
export const useOverflowContext: <SelectedValue>(selector: ContextSelector<OverflowContextValue, SelectedValue>) => SelectedValue;

// @public (undocumented)
export const useOverflowCount: () => number;

// @internal
export function useOverflowItem<TElement extends HTMLElement>(id: string, priority?: number, groupId?: string): React_2.RefObject<TElement>;

// @public (undocumented)
export function useOverflowMenu<TElement extends HTMLElement>(id?: string): {
    ref: React_2.RefObject<TElement>;
    overflowCount: number;
    isOverflowing: boolean;
};

// (No @packageDocumentation comment for this package)

```
