## API Report File for "@fluentui/react-tree"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="react" />

import { ArrowDown } from '@fluentui/keyboard-keys';
import { ArrowLeft } from '@fluentui/keyboard-keys';
import { ArrowRight } from '@fluentui/keyboard-keys';
import { ArrowUp } from '@fluentui/keyboard-keys';
import type { AvatarContextValue } from '@fluentui/react-avatar';
import type { AvatarSize } from '@fluentui/react-avatar';
import type { ButtonContextValue } from '@fluentui/react-button';
import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import { ContextSelector } from '@fluentui/react-context-selector';
import { End } from '@fluentui/keyboard-keys';
import { Enter } from '@fluentui/keyboard-keys';
import type { ExtractSlotProps } from '@fluentui/react-utilities';
import { FC } from 'react';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { Home } from '@fluentui/keyboard-keys';
import { Provider } from 'react';
import { ProviderProps } from 'react';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';

// @public
export const flattenTree_unstable: (items: NestedTreeItem[]) => FlatTreeItem[];

// @public (undocumented)
export type FlatTreeItem = Required<Pick<TreeItemProps, 'id'>> & TreeItemProps & {
    parentId?: string;
};

// @public (undocumented)
export type FlatTreeItemProps = Required<Pick<TreeItemProps, 'id' | 'aria-level' | 'aria-posinset' | 'leaf' | 'aria-setsize'>> & TreeItemProps;

// @public (undocumented)
export type FlatTreeProps = Required<Pick<TreeProps, 'openItems' | 'onOpenChange' | 'onNavigation_unstable'> & {
    ref: React_2.Ref<HTMLDivElement>;
}>;

// @public (undocumented)
export type LazyFlatTreeItems = LazyArray<FlatTreeItemProps> & {
    get(id: string): TreeItemPropsReference | null;
};

// @public (undocumented)
export type NestedTreeItem = Omit<TreeItemProps, 'subtree'> & {
    subtree?: NestedTreeItem[];
};

// @public (undocumented)
export const renderTree_unstable: (state: TreeState, contextValues: TreeContextValues) => JSX.Element;

// @public
export const renderTreeItem_unstable: (state: TreeItemState, contextValues: TreeItemContextValues) => JSX.Element;

// @public
export const renderTreeItemLayout_unstable: (state: TreeItemLayoutState) => JSX.Element;

// @public
export const renderTreeItemPersonaLayout_unstable: (state: TreeItemPersonaLayoutState, contextValues: TreeItemPersonaLayoutContextValues) => JSX.Element;

// @public
export const Tree: ForwardRefComponent<TreeProps>;

// @public (undocumented)
export const treeClassNames: SlotClassNames<TreeSlots>;

// @public (undocumented)
export type TreeContextValue = {
    level: number;
    appearance: 'subtle' | 'subtle-alpha' | 'transparent';
    size: 'small' | 'medium';
    openItems: ImmutableSet<TreeItemId>;
    requestOpenChange(data: TreeOpenChangeData): void;
    requestNavigation(data: TreeNavigationData_unstable): void;
};

// @public
export const TreeItem: ForwardRefComponent<TreeItemProps>;

// @public (undocumented)
export const treeItemClassNames: SlotClassNames<TreeItemSlots>;

// @public (undocumented)
export type TreeItemId = string | number;

// @public
export const TreeItemLayout: ForwardRefComponent<TreeItemLayoutProps>;

// @public (undocumented)
export const treeItemLayoutClassNames: SlotClassNames<TreeItemLayoutSlots>;

// @public
export type TreeItemLayoutProps = ComponentProps<Partial<TreeItemLayoutSlots>>;

// @public (undocumented)
export type TreeItemLayoutSlots = {
    root: Slot<'div'>;
    iconBefore?: Slot<'span'>;
    iconAfter?: Slot<'span'>;
    aside?: Slot<'span'>;
};

// @public
export type TreeItemLayoutState = ComponentState<TreeItemLayoutSlots> & TreeItemContextValue;

// @public (undocumented)
export const treeItemLevelToken: "--fluent-TreeItem--level";

// @public
export const TreeItemPersonaLayout: ForwardRefComponent<TreeItemPersonaLayoutProps>;

// @public (undocumented)
export const treeItemPersonaLayoutClassNames: SlotClassNames<TreeItemPersonaLayoutSlots>;

// @public
export type TreeItemPersonaLayoutProps = ComponentProps<Partial<TreeItemPersonaLayoutSlots>>;

// @public (undocumented)
export type TreeItemPersonaLayoutSlots = {
    root: Slot<'span'>;
    media: NonNullable<Slot<'span'>>;
    main: Slot<'span'>;
    description?: Slot<'span'>;
    aside?: Slot<'span'>;
    content: Slot<'div'>;
};

// @public
export type TreeItemPersonaLayoutState = ComponentState<TreeItemPersonaLayoutSlots> & TreeItemContextValue & {
    avatarSize: AvatarSize;
};

// @public
export type TreeItemProps = ComponentProps<Partial<TreeItemSlots>> & {
    leaf?: boolean;
};

// @public (undocumented)
export const TreeItemProvider: React_2.Provider<TreeItemContextValue | undefined>;

// @public (undocumented)
export type TreeItemSlots = {
    root: Slot<ExtractSlotProps<Slot<'div'> & {
        style?: TreeItemCSSProperties;
    }>>;
    content: NonNullable<Slot<'div'>>;
    subtree?: Slot<'span'>;
    expandIcon?: Slot<'span'>;
    actions?: Slot<'span'>;
};

// @public
export type TreeItemState = ComponentState<TreeItemSlots> & {
    open: boolean;
    isLeaf: boolean;
    level: number;
    buttonSize: 'small';
    isActionsVisible: boolean;
};

// @public (undocumented)
export type TreeNavigationData_unstable = {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: 'TypeAhead';
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof ArrowRight;
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof ArrowLeft;
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof ArrowUp;
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof ArrowDown;
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof Home;
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof End;
};

// @public (undocumented)
export type TreeNavigationEvent_unstable = TreeNavigationData_unstable['event'];

// @public (undocumented)
export type TreeOpenChangeData = {
    open: boolean;
} & ({
    event: React_2.MouseEvent<HTMLElement>;
    target: HTMLElement;
    type: 'ExpandIconClick';
} | {
    event: React_2.MouseEvent<HTMLElement>;
    target: HTMLElement;
    type: 'Click';
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof Enter;
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof ArrowRight;
} | {
    event: React_2.KeyboardEvent<HTMLElement>;
    target: HTMLElement;
    type: typeof ArrowLeft;
});

// @public (undocumented)
export type TreeOpenChangeEvent = TreeOpenChangeData['event'];

// @public (undocumented)
export type TreeProps = ComponentProps<TreeSlots> & {
    appearance?: 'subtle' | 'subtle-alpha' | 'transparent';
    size?: 'small' | 'medium';
    openItems?: Iterable<TreeItemId>;
    defaultOpenItems?: Iterable<TreeItemId>;
    onOpenChange?(event: TreeOpenChangeEvent, data: TreeOpenChangeData): void;
    onNavigation_unstable?(event: TreeNavigationEvent_unstable, data: TreeNavigationData_unstable): void;
};

// @public (undocumented)
export const TreeProvider: Provider<TreeContextValue | undefined> & FC<ProviderProps<TreeContextValue | undefined>>;

// @public (undocumented)
export type TreeSlots = {
    root: Slot<'div'>;
};

// @public
export type TreeState = ComponentState<TreeSlots> & TreeContextValue;

// @public (undocumented)
export function useFlatTreeItems_unstable(items: FlatTreeItem[], options?: UseFlatTreeItemsOptions): readonly [FlatTreeProps, LazyFlatTreeItems];

// @public (undocumented)
export type UseFlatTreeItemsOptions = Pick<TreeProps, 'openItems' | 'defaultOpenItems'>;

// @public
export const useTree_unstable: (props: TreeProps, ref: React_2.Ref<HTMLElement>) => TreeState;

// @public (undocumented)
export const useTreeContext_unstable: <T>(selector: ContextSelector<TreeContextValue, T>) => T;

// @public (undocumented)
export function useTreeContextValues_unstable(state: TreeState): TreeContextValues;

// @public
export const useTreeItem_unstable: (props: TreeItemProps, ref: React_2.Ref<HTMLDivElement>) => TreeItemState;

// @public (undocumented)
export const useTreeItemContext_unstable: () => TreeItemContextValue;

// @public
export const useTreeItemLayout_unstable: (props: TreeItemLayoutProps, ref: React_2.Ref<HTMLElement>) => TreeItemLayoutState;

// @public
export const useTreeItemLayoutStyles_unstable: (state: TreeItemLayoutState) => TreeItemLayoutState;

// @public
export const useTreeItemPersonaLayout_unstable: (props: TreeItemPersonaLayoutProps, ref: React_2.Ref<HTMLSpanElement>) => TreeItemPersonaLayoutState;

// @public
export const useTreeItemPersonaLayoutStyles_unstable: (state: TreeItemPersonaLayoutState) => TreeItemPersonaLayoutState;

// @public
export const useTreeItemStyles_unstable: (state: TreeItemState) => TreeItemState;

// @public (undocumented)
export const useTreeStyles_unstable: (state: TreeState) => TreeState;

// (No @packageDocumentation comment for this package)

```
